> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/data-access/orders/returns-the-orders-created.md).

# Returns the orders created

```json
{"openapi":"3.1.0","info":{"title":"Data Access","version":"2.0"},"tags":[{"name":"Orders"}],"servers":[{"description":"Furnishment sandbox server, for testing purposes (v2)","url":"https://sandbox.bloom.dev"},{"description":"Furnishment server","url":"https://api.bloomcredit.io"},{"description":"Production Consumer Permissioned Data server","url":"https://api.bloomplus.com"},{"description":"Development Consumer Permissioned Data server","url":"https://api.bloomplus.dev"}],"security":[{"OAuth2Application":["data-access:all"]}],"components":{"securitySchemes":{"OAuth2Application":{"flows":{"clientCredentials":{"scopes":{"data-access:read":" Grants read access to fetch order details.","data-access:write":" Allows order creation and deletion."},"tokenUrl":"https://auth.bloom.dev/oauth/token"}},"type":"oauth2"}},"schemas":{"core.APIResponse-array_core_OrderResponse":{"properties":{"data":{"items":{"$ref":"#/components/schemas/core.OrderResponse"},"type":"array"}},"type":"object"},"core.OrderResponse":{"description":"Response to get order request","properties":{"attributes":{"allOf":[{"$ref":"#/components/schemas/core.OrderAttributes"}],"description":"Order attributes","type":"object"},"id":{"description":"Order ID","type":"string"},"type":{"description":"Order type","type":"string"}},"type":"object"},"core.OrderAttributes":{"description":"Parameters of an order","properties":{"consumer_id":{"description":"Consumer ID","type":"string"},"order_filled":{"description":"Order filled date time","type":"string"},"order_placed":{"description":"Order place date time","type":"string"},"order_updated":{"description":"Order update date time","type":"string"},"portfolio_id":{"description":"Portfolio identifier","type":"string"},"sku":{"description":"SKU","type":"string"},"status":{"allOf":[{"$ref":"#/components/schemas/core.Status"}],"description":"Order status","type":"object"},"status_code":{"description":"Code to quickly identify the status","type":"string"},"status_details":{"description":"URL to the documentation page with more details on the status","type":"string"},"status_message":{"description":"Human readable description of the status","type":"string"}},"type":"object"},"core.Status":{"enum":["PENDING","REJECTED","PROCESSING","SUCCESS","FAILED","CANCELLED","PURGED"],"type":"string"},"core.ServiceError":{"description":"Default error message object","properties":{"status_code":{"allOf":[{"$ref":"#/components/schemas/core.Code"}],"description":"Code to quickly identify the status","type":"object"},"status_details":{"description":"URL to the documentation page with more details on the status","type":"string"},"status_message":{"description":"Human readable description of the status","type":"string"}},"type":"object"},"core.Code":{"enum":["10","11","12","13","30","99"],"type":"string"}}},"paths":{"/v2/data-access/orders":{"get":{"operationId":"data-access.get-orders","parameters":[{"description":"status of the orders","in":"query","name":"status","schema":{"type":"string"}},{"description":"SKU used to handle the order","in":"query","name":"sku","schema":{"type":"string"}},{"description":"Consumer identifier for the orders. Must be a valid UUID","in":"query","name":"consumerId","schema":{"type":"string"}},{"description":"Portfolio identifier linked to the orders. Must be a valid UUID","in":"query","name":"portfolioId","schema":{"type":"string"}},{"description":"Start date to consider orders, in format yyyy-MM-dd","in":"query","name":"since","schema":{"type":"string"}},{"description":"End date to consider orders, in format yyyy-MM-dd","in":"query","name":"until","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.APIResponse-array_core_OrderResponse"}}},"description":"OK"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}},"description":"Internal Server Error"}},"summary":"Returns the orders created","tags":["Orders"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/data-access/orders/returns-the-orders-created.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
